<form [formGroup]="item">
  <ul class="list-sub">
    <li>
      <div class="input-here" [ngClass]="{ 'is-invalid': submitted && item.controls.sampleId.errors }">
        <mat-form-field appearance="outline">
          <input
            matInput
            placeholder="Type Sample ID"
            formControlName="sampleId"
            xrdOnlyNumber
            [type]="'normal'"
            (ngModelChange)="changeInputSampleId($event)"
          />
        </mat-form-field>
      </div>
    </li>
    <li>
      <div class="input-here" [ngClass]="{ 'is-invalid': submitted && item.controls.p.errors }">
        <mat-form-field appearance="outline">
          <input matInput placeholder="-" formControlName="p" xrdOnlyNumber />
          <span class="full-value" *ngIf="listValueAbbreviated && listValueAbbreviated.length > 0">{{
            listValueAbbreviated[1].tooltip
          }}</span>
        </mat-form-field>
      </div>
    </li>
    <li>
      <div class="input-here" [ngClass]="{ 'is-invalid': submitted && item.controls.t.errors }">
        <mat-form-field appearance="outline">
          <input matInput placeholder="-" formControlName="t" xrdOnlyNumber />
          <span class="full-value" *ngIf="listValueAbbreviated && listValueAbbreviated.length > 0">{{
            listValueAbbreviated[2].tooltip
          }}</span>
        </mat-form-field>
      </div>
    </li>
    <li>
      <div class="input-here">
        <mat-form-field appearance="outline">
          <input matInput placeholder="-" formControlName="sga" xrdOnlyNumber />
          <span class="full-value" *ngIf="listValueAbbreviated && listValueAbbreviated.length > 0">{{
            listValueAbbreviated[3].tooltip
          }}</span>
        </mat-form-field>
      </div>
    </li>
    <li>
      <div class="input-here">
        <mat-form-field appearance="outline">
          <input matInput placeholder="-" formControlName="sgg" xrdOnlyNumber />
          <span class="full-value" *ngIf="listValueAbbreviated && listValueAbbreviated.length > 0">{{
            listValueAbbreviated[4].tooltip
          }}</span>
        </mat-form-field>
      </div>
    </li>
    <li>
      <div class="input-here">
        <mat-form-field appearance="outline">
          <input matInput placeholder="-" formControlName="pb" xrdOnlyNumber />
          <span class="full-value" *ngIf="listValueAbbreviated && listValueAbbreviated.length > 0">{{
            listValueAbbreviated[5].tooltip
          }}</span>
        </mat-form-field>
      </div>
    </li>
    <li>
      <div class="input-here" [ngClass]="{ 'is-invalid': submitted && item.controls.rs.errors }">
        <mat-form-field appearance="outline">
          <input matInput placeholder="-" formControlName="rs" xrdOnlyNumber />
          <span class="full-value" *ngIf="listValueAbbreviated && listValueAbbreviated.length > 0">{{
            listValueAbbreviated[6].tooltip
          }}</span>
        </mat-form-field>
      </div>
    </li>
    <li>
      <div class="input-here" [ngClass]="{ 'is-invalid': submitted && item.controls.rsb.errors }">
        <mat-form-field appearance="outline">
          <input matInput placeholder="-" formControlName="rsb" xrdOnlyNumber />
          <span class="full-value" *ngIf="listValueAbbreviated && listValueAbbreviated.length > 0">{{
            listValueAbbreviated[7].tooltip
          }}</span>
        </mat-form-field>
      </div>
    </li>
    <li>
      <div class="input-here" [ngClass]="{ 'is-invalid': submitted && item.controls.tds.errors }">
        <mat-form-field appearance="outline">
          <input matInput placeholder="-" formControlName="tds" xrdOnlyNumber />
          <span class="full-value" *ngIf="listValueAbbreviated && listValueAbbreviated.length > 0">{{
            listValueAbbreviated[8].tooltip
          }}</span>
        </mat-form-field>
      </div>
    </li>
    <li>
      <div class="input-here" [ngClass]="{ 'is-invalid': submitted && item.controls.yH2S.errors }">
        <mat-form-field appearance="outline">
          <input matInput placeholder="-" formControlName="yH2S" xrdOnlyNumber />
          <span class="full-value" *ngIf="listValueAbbreviated && listValueAbbreviated.length > 0">{{
            listValueAbbreviated[9].tooltip
          }}</span>
        </mat-form-field>
      </div>
    </li>
    <li>
      <div class="input-here" [ngClass]="{ 'is-invalid': submitted && item.controls.yCO2.errors }">
        <mat-form-field appearance="outline">
          <input matInput placeholder="-" formControlName="yCO2" xrdOnlyNumber />
          <span class="full-value" *ngIf="listValueAbbreviated && listValueAbbreviated.length > 0">{{
            listValueAbbreviated[10].tooltip
          }}</span>
        </mat-form-field>
      </div>
    </li>
    <li>
      <a href="javascript:;" class="click-remove" (click)="delete()" *ngIf="hideRemove">
        <fa-icon
          class="remove-icon minus-icon"
          [icon]="['fas', 'minus-circle']"
          size="lg"
          [styles]="{ color: '#006ED2' }"
        >
        </fa-icon>
      </a>
      <div class="input-here" [ngClass]="{ 'is-invalid': submitted && item.controls.yN2.errors }">
        <mat-form-field appearance="outline">
          <input matInput placeholder="-" formControlName="yN2" xrdOnlyNumber />
          <span class="full-value" *ngIf="listValueAbbreviated && listValueAbbreviated.length > 0">{{
            listValueAbbreviated[11].tooltip
          }}</span>
        </mat-form-field>
      </div>
    </li>
  </ul>
</form>
